Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.annotation
Class SourceJoin

    java.lang.Object
      unity.annotation.SourceJoin

Direct Known Subclasses:
  AnnotatedSourceJoin

    public class SourceJoin

extends java.lang.Object

Constructor Summary
`SourceJoin(SourceKey from, SourceKey to, java.lang.String join)`

Method Summary
`void` | `addFieldsToJoin(SourceField sf1, SourceField sf2)`
`SourceKey` | `getFromKey()`
`java.lang.String` | `getFromKeyName()`
`java.lang.String` | `getFromTableName()`
`java.lang.String` | `getJoinName()`
`SourceJoin` | `getReverseJoin()`
`SourceKey` | `getToKey()`
`java.lang.String` | `getToKeyName()`
`java.lang.String` | `getToTableName()`
`void` | `setFromKey(SourceKey from)`
`void` | `setFromTableName(java.lang.String name)`
`void` | `setJoinName(java.lang.String name)`
`void` | `setReverseJoin(SourceJoin reverse)`
`void` | `setToKey(SourceKey to)`
`void` | `setToTableName(java.lang.String name)`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SourceJoin

    public SourceJoin(SourceKey from,
                      SourceKey to,
                      java.lang.String join)

Method Detail

### setFromKey

    public void setFromKey(SourceKey from)

### getFromKey

    public SourceKey getFromKey()

### getToKeyName

    public java.lang.String getToKeyName()

### getToTableName

    public java.lang.String getToTableName()

### setToTableName

    public void setToTableName(java.lang.String name)

### setFromTableName

    public void setFromTableName(java.lang.String name)

### getFromKeyName

    public java.lang.String getFromKeyName()

### getFromTableName

    public java.lang.String getFromTableName()

### setToKey

    public void setToKey(SourceKey to)

### getToKey

    public SourceKey getToKey()

### setJoinName

    public void setJoinName(java.lang.String name)

### getJoinName

    public java.lang.String getJoinName()

### addFieldsToJoin

    public void addFieldsToJoin(SourceField sf1,
                                SourceField sf2)

### setReverseJoin

    public void setReverseJoin(SourceJoin reverse)

### getReverseJoin

    public SourceJoin getReverseJoin()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toXML

    public java.lang.String toXML()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD